﻿
using System;
using System.Windows;

using MindFusion.Scheduling;


namespace WpfApplication46
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			calendar.MonthSettings.DaySettings.HeaderSize = 14;
			calendar.MonthSettings.DaySettings.HeaderStyle.TextAlignment = TextAlignment.Left;
			calendar.MonthSettings.DaySettings.HeaderStyle.HorizontalAlignment = System.Windows.HorizontalAlignment.Left;
			calendar.MonthSettings.SelectedElementsHeaderStyle.TextAlignment = TextAlignment.Left;
			calendar.MonthSettings.SelectedElementsHeaderStyle.HorizontalAlignment = System.Windows.HorizontalAlignment.Left;

			calendar.CellPresenterCreating += (s, e) =>
				{
					e.CellPresenter = new CustomCellPresenter(calendar);
				};

			var app = new Appointment();
			app.StartTime = DateTime.Today;
			app.EndTime = DateTime.Today;
			app.HeaderText = "Recurring item";

			var rec = new Recurrence();
			rec.Pattern = RecurrencePattern.Daily;
			rec.NumOccurrences = 10;
			rec.RecurrenceEnd = RecurrenceEnd.NumOccurrences;
			app.Recurrence = rec;

			calendar.Schedule.Items.Add(app);
		}
	}
}
